import socket

# Создаем UDP сокет (SOCK_DGRAM)
server = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
# Привязываем сокет к адресу и порту
server.bind(('0.0.0.0', 10001))
print("UDP сервер запущен на порту 10001")

while True:
    # Получаем данные и адрес отправителя
    data, addr = server.recvfrom(1024)
    print(f"Сообщение от {addr}: {data.decode()}")
    
    # Модифицируем данные (добавляем "UDP: " в начало)
    modified_data = b"UDP: " + data.upper()
    
    # Отправляем модифицированные данные обратно
    server.sendto(modified_data, addr)
    print(f"Отправлено: {modified_data.decode()}")